#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 glirc
version:              2.39.0.1
visibility:           public
id:                   glirc-2.39.0.1-DtDUg7ahMLeKZFoxvj7t86
key:                  glirc-2.39.0.1-DtDUg7ahMLeKZFoxvj7t86
license:              ISC
copyright:            2016-2019 Eric Mertens
maintainer:           emertens@gmail.com
author:               Eric Mertens
homepage:             https://github.com/glguy/irc-core
synopsis:             Console IRC client
description:
    Console IRC client

    glirc is a console IRC client with an emphasis on providing
    dynamic views into the model of your IRC connections.

    <https://github.com/glguy/irc-core/wiki Documentation Wiki>

category:             Network
abi:                  b7f4d383ce64ae4e4db12f50266a54f9
exposed:              True
exposed-modules:
    Client.Authentication.Ecdh Client.Authentication.Ecdsa
    Client.Authentication.Scram Client.CApi Client.CApi.Exports
    Client.CApi.Types Client.Commands Client.Commands.Arguments.Parser
    Client.Commands.Arguments.Renderer Client.Commands.Arguments.Spec
    Client.Commands.Certificate Client.Commands.Channel
    Client.Commands.Chat Client.Commands.Connection
    Client.Commands.Exec Client.Commands.Interpolation
    Client.Commands.Operator Client.Commands.Queries
    Client.Commands.Recognizer Client.Commands.TabCompletion
    Client.Commands.Toggles Client.Commands.Types
    Client.Commands.Window Client.Commands.WordCompletion
    Client.Commands.ZNC Client.Configuration
    Client.Configuration.Colors Client.Configuration.Macros
    Client.Configuration.ServerSettings Client.Configuration.Sts
    Client.EventLoop Client.EventLoop.Actions Client.EventLoop.Errors
    Client.EventLoop.Network Client.Hook Client.Hook.DroneBLRelay
    Client.Hook.Matterbridge Client.Hook.Snotice
    Client.Hook.Znc.Buffextras Client.Hooks Client.Image
    Client.Image.Layout Client.Image.LineWrap Client.Image.Message
    Client.Image.MircFormatting Client.Image.PackedImage
    Client.Image.Palette Client.Image.StatusLine Client.Image.Textbox
    Client.Log Client.Mask Client.Message Client.Network.Async
    Client.Network.Connect Client.Options Client.State
    Client.State.Channel Client.State.EditBox
    Client.State.EditBox.Content Client.State.Extensions
    Client.State.Focus Client.State.Network Client.State.Window
    Client.UserHost Client.View Client.View.Cert
    Client.View.ChannelInfo Client.View.Digraphs Client.View.Help
    Client.View.IgnoreList Client.View.KeyMap Client.View.MaskList
    Client.View.Mentions Client.View.Messages Client.View.Palette
    Client.View.RtsStats Client.View.UrlSelection Client.View.UserList
    Client.View.Windows

hidden-modules:
    ContextFilter DigraphQuote Digraphs LensUtils RtsStats StrQuote
    StrictUnit Paths_glirc Build_glirc

import-dirs:          /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/glirc
hs-libraries:         HSglirc-2.39.0.1-DtDUg7ahMLeKZFoxvj7t86
include-dirs:         /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1/include
includes:             include/glirc-api.h
depends:
    HsOpenSSL-0.11.7.2-A34Rhjg7i3EzfdHwPDllQ
    async-2.2.4-85w9IAxzN0L1JfVlkdGnGr
    attoparsec-0.14.4-5VvPgrvhsMREGpJ47hSOJy base-4.15.1.0
    base64-bytestring-1.2.1.0-INxvaIcn38WAVVivWrRDlW
    bytestring-0.10.12.1 config-schema-1.3.0.0-4bk9gVEfkm69wf1SPOXk24
    config-value-0.8.3-3pmzeYU8Vb25WTAZFoPyxS containers-0.6.4.1
    curve25519-0.2.7-H8Cywz50Dqj1cWyiNy2A0m directory-1.3.6.2
    filepath-1.4.2.1 free-5.1.9-4rKzIepBT8L6encx1pA58O
    githash-0.1.6.2-9GocO53TNjD4Y3wzdMJWF5
    hashable-1.4.1.0-JzdBeUJrNESAqvBDuFSkjU
    hookup-0.7-DFbpvw6BzhG6wEzDSocYJD
    irc-core-2.11-3RaijikLtRWFznFV2sNvit
    kan-extensions-5.2.5-KsQE2yXhOoxC97MVtYJw8H
    lens-5.1.1-EPdw7Q7wtA2GfzxpFY3FDL
    network-3.1.2.7-HsBxoWBomTs37NNIvwPy3j process-1.6.13.2
    psqueues-0.2.7.3-Hh6iyfgahpAZGN7pl5GXt
    random-1.2.1.1-8RqJW6WcYvJ6oevOvBr1tq
    regex-tdfa-1.3.2-JITr4yyR4TSCbVwHCiT56J
    split-0.2.3.5-JTiCyTdGupA4yWu7SHDWhG stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.19.1-LD25aQ96xQuJMMHDDQKI4Q
    vector-0.12.3.1-9i3qvFUekKK2fB1y3bHIPs
    vty-5.37-8nUoNPcoKxc9l9PvrpykMo

haddock-interfaces:   /usr/share/doc/glirc/html/glirc.haddock
haddock-html:         /usr/share/doc/glirc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

